reparent_to_kthreadd
Prev | Internal Functions | Next

## Name

reparent_to_kthreadd — Reparent the calling kernel thread to kthreadd

## Synopsis

`void reparent_to_kthreadd (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

If a kernel thread is launched as a result of a system call, or if it ever exits, it should generally reparent itself to kthreadd so it isn't in the way of other processes and is correctly cleaned up on exit.

The various task state such as scheduling policy and priority may have been inherited from a user process, so we reset them to sane values here.

NOTE that `reparent_to_kthreadd` gives the caller full capabilities.

Prev | Up | Next
Internal Functions | Home | sys_tgkill